/webhooks
Update an existing webhook endpoint
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Webhook update details
Response Body
application/json
curl -X PATCH "https://loading/./../api/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "webhookId": "webhook_endpoint_id", "url": "https://hooks.slack.com/services/example/path", "format": "SLACK", "Events": [ "PAYMENT_ON_CHAIN_STATUS_CHANGED", "PURCHASE_ON_ERROR" ], "name": "Ops Slack Alerts" }'{
"status": "Success",
"data": {
"id": "webhook_endpoint_id",
"url": "https://hooks.slack.com/services/example/path",
"format": "SLACK",
"name": "Ops Slack Alerts",
"Events": [
"PAYMENT_ON_CHAIN_STATUS_CHANGED",
"PURCHASE_ON_ERROR"
],
"isActive": true,
"createdAt": "1970-01-20T20:00:36.260Z",
"updatedAt": "1970-01-20T20:00:36.360Z",
"paymentSourceId": "payment_source_id"
}
}Empty
Empty
Empty
Empty
Empty
Empty



